#!/bin/bash

set -v

PREFIX=/u/deselaers/local

#extract sources
bzip2 -dc zlib-1.1.4.tar.bz2 | tar -x 
bzip2 -dc libpng-1.2.5.tar.bz2 | tar -x
gunzip -c jpegsrc.v6b.tar.gz | tar -x
gunzip -c gd-1.8.4.tar.gz | tar -x
bzip2 -dc interpol.tar.bz2 | tar -x

#build zlib
cd zlib-1.1.4
make clean
./configure --prefix=${PREFIX}
make test
make install
cd ..

#build libpng
cd libpng-1.2.5
make -f scripts/makefile.std clean
make -f scripts/makefile.std prefix=${PREFIX} ZLIBLIB=${PREFIX}/lib ZLIBINC=${PREFIX}/include
make -f scripts/makefile.std install prefix=${PREFIX} ZLIBLIB=${PREFIX}/lib ZLIBINC=${PREFIX}/include
cd ..

#build libjpeg
cd jpeg-6b
make
cp libjpeg.a ${PREFIX}/lib
cd ..


#build gdlib
cd gd-1.8.4
make clean
make INCLUDEDIRS="-I. -I/usr/local/include -I${PREFIX}/include" LIBDIRS="-L. -L/usr/local/lib -L${PREFIX}/lib" INSTALL_LIB=${PREFIX}/lib INSTALL_INCLUDE=${PREFIX}/include INSTALL_BIN=.
make install CFLAGS="-O -DHAVE_LIBPNG" INCLUDEDIRS="-I. -I/usr/local/include -I${PREFIX}/include" LIBDIRS="-L. -L/usr/local/lib -L${PREFIX}/lib" INSTALL_LIB=${PREFIX}/lib INSTALL_INCLUDE=i${PREFIX}/include INSTALL_BIN=.
cd ..

#link gdlib
ln -s ${PREFIX}/lib/libgd.a ${PREFIX}/lib/libgd-1.8.4.a
ln -s ${PREFIX}/lib/libpng.a ${PREFIX}/lib/libpng-1.2.5.a
ln -s ${PREFIX}/lib/libz.a ${PREFIX}/lib/libz-1.1.4.a

#build libspline.a
cd interpol
gcc -c interpol.c
gcc -c coeff.c
ar rcs ${PREFIX}/lib/libspline.a coeff.o interpol.o
cp coeff.h interpol.h ${PREFIX}/include
cd ..

